{% layout 'theme' %}{% comment %}<!-- { % layout settings.customer_layout % } -->{% endcomment %}

<div id="container-account" class="container contains-page-title contains-page-content account-page-container fs14 pt40 pb40">
  <div class="row">
    <div class="col-lg-3 contains-account-sidebar" id="customer_sidebar">
      
      <a class="link-back-to-store like-table mt5" href="{{ shop.url }}/account"><i class="fa fa-arrow-left"></i> &nbsp;Return to Account</a>
      
      <hr class="mt15" />
      
      <div id="action" class="action_link action_add note"><a href="#" class="btn btn-default w100p fs13 like-table mt5" onclick="Shopify.CustomerAddress.toggleNewForm(); return false;" data-scrollto="#add_address">Add New Address</a></div>
      
    </div><!-- #customer_sidebar -->
    <div class="col-lg-9 contains-account-section" id="customer_addresses">
      
      <h1 class="page-heading fs32 mt0 pb5 bb1">Manage Your Addresses</h1>
      
      {% paginate customer.addresses by 10 %}
      {% for address in customer.addresses %}
      <div class="address_table mt20">
        <div id="view_address_{{address.id}}" class="customer_address">
          <h4 class="address_title">
            {{ address.street }} 
            {% if address == customer.default_address %}<span class="default_address note pull-right color-grey">DEFAULT</span>{% endif %}
          </h4>
          <p class="address_actions">
            <span class="action_link action_edit">{{ "Edit" | edit_customer_address_link: address.id }}</span>
            <span class="action_link action_delete">{{ "Delete" | delete_customer_address_link: address.id }}</span>
          </p>
          <div class="view_address">
            <p>{{ address.first_name }} {{address.last_name }}</p>
            <p>{{ address.company }}</p>
            <p>{{ address.street }}</p>
            <p>{{ address.city }}{% if address.province_code %}, {{ address.province_code }}{% endif %}</p>
            <p>{{ address.country }} {{ address.zip }}</p>
            <p>{{ address.phone }}</p>
          </div>
        </div>    
        <div id="edit_address_{{address.id}}" class="customer_address edit_address" style="display:none;">
          {% form 'customer_address', address %}
          <table class="customer_address_table form-table fs16">
            <tr>
              <td class="has-label"><label for="address_first_name_{{form.id}}">First Name</label></td>
              <td class="value"><input type="text" id="address_first_name_{{form.id}}" class="form-control" name="address[first_name]" value="{{form.first_name}}" size="40" /></td>
            </tr>
            <tr>
              <td class="has-label"><label for="address_last_name_{{form.id}}">Last Name</label></td>
              <td class="value"><input type="text" id="address_last_name_{{form.id}}" class="form-control" name="address[last_name]" value="{{form.last_name}}" size="40" /></td>
            </tr>
            <tr>
              <td class="has-label"><label for="address_company_{{form.id}}">Company</label></td>
              <td class="value"><input type="text" id="address_company_{{form.id}}" class="form-control" name="address[company]" value="{{form.company}}" size="40" /></td>
            </tr>
            <tr>
              <td class="has-label"><label for="address_address1_{{form.id}}">Address1</label></td>
              <td class="value"><input type="text" id="address_address1_{{form.id}}" class="form-control" name="address[address1]" value="{{form.address1}}" size="40" /></td>
            </tr>
            <tr>
              <td class="has-label"><label for="address_address2_{{form.id}}">Address2</label></td>
              <td class="value"><input type="text" id="address_address2_{{form.id}}" class="form-control" name="address[address2]" value="{{form.address2}}" size="40" /></td>
            </tr>
            <tr>
              <td class="has-label"><label for="address_city_{{form.id}}">City</label></td>
              <td class="value"><input type="text" id="address_city_{{form.id}}" class="form-control" name="address[city]" value="{{form.city}}" size="40" /></td>
            </tr>
            <tr>
              <td class="has-label"><label for="address_country_{{form.id}}">Country</label></td>
              <td class="value">
                <select class="selectize-on-load" id="address_country_{{form.id}}" name="address[country]" data-default="{{form.country}}">{{ country_option_tags }}</select>
              </td>
            </tr>
            <tr id="address_province_container_{{form.id}}" style="display:none">
              <td class="has-label"><label for="address_province_{{form.id}}">Province</label></td>
              <td class="value"><select class="selectize-on-load" id="address_province_{{form.id}}" class="form-control" name="address[province]" data-default="{{form.province}}"></select></td>
            </tr>
            <tr>
              <td class="has-label"><label for="address_zip_{{form.id}}">Zip</label></td>
              <td class="value"><input type="text" id="address_zip_{{form.id}}" class="form-control" name="address[zip]" value="{{form.zip}}" size="40" /></td>
            </tr>
            <tr>
              <td class="has-label"><label for="address_phone_{{form.id}}">Phone</label></td>
              <td class="value"><input type="text" id="address_phone_{{form.id}}" class="form-control" name="address[phone]" value="{{form.phone}}" size="40" /></td>
            </tr>      
            <tr>
              <td class="has-label"></td>
              <td class="value">{{ form.set_as_default_checkbox }} Set as Default Address?</td>
            </tr>
          </table>
          <div class="action_bottom">
            <input class="btn btn-default" type="submit" value="Update Address" />
            <span class="note regular-content"> or <a href="#" onclick="Shopify.CustomerAddress.toggleForm({{form.id}}); return false;" data-scrollto="#container-account">Cancel</a></span>
          </div>        
          {% endform %}
        </div>
      </div><!-- end .address_table -->
      {% else %}
      <p class="color-lighter fs22 text-center pt100 pb100">You haven't saved any addresses yet.</p>
      {% endfor %}
      <div id="address_pagination">{{ paginate | default_pagination }}</div>  
      {% endpaginate %}
      
      <div id="add_address" class="customer_address edit_address mt40" style="display:none;">
        <hr />
        {% form 'customer_address', customer.new_address %}
        <h4 id="add_address_title">Add a new address</h4>
        <table class="customer_address_table form-table fs16">
          <tr>
            <td class="has-label"><label for="address_first_name_new">First Name</label></td>
            <td class="value"><input type="text" id="address_first_name_new" class="form-control" name="address[first_name]" value="{{form.first_name}}" size="40" /></td>
          </tr>
          <tr>
            <td class="has-label"><label for="address_last_name_new">Last Name</label></td>
            <td class="value"><input type="text" id="address_last_name_new" class="form-control" name="address[last_name]" value="{{form.last_name}}" size="40" /></td>
          </tr>
          <tr>
            <td class="has-label"><label for="address_company_new">Company</label></td>
            <td class="value"><input type="text" for="address_company_new" class="form-control" name="address[company]" value="{{form.company}}" size="40" /></td>
          </tr>
          <tr>
            <td class="has-label"><label for="address_address1_new">Address1</label></td>
            <td class="value"><input type="text" id="address_address1_new" class="form-control" name="address[address1]" value="{{form.address1}}" size="40" /></td>
          </tr>
          <tr>
            <td class="has-label"><label for="address_address2_new">Address2</label></td>
            <td class="value"><input type="text" id="address_address2_new" class="form-control" name="address[address2]" value="{{form.address2}}" size="40" /></td>
          </tr>
          <tr>
            <td class="has-label"><label for="address_city_new">City</label></td>
            <td class="value"><input type="text" id="address_city_new" class="form-control" name="address[city]" value="{{form.city}}" size="40" /></td>
          </tr>
          <tr>
            <td class="has-label"><label for="address_country_new">Country</label></td>
            <td class="value">
              <select class="selectize-on-load" id="address_country_new" name="address[country]" data-default="{{form.country}}">{{ country_option_tags }}</select>
            </td>
          </tr>
          <tr id="address_province_container_new" style="display:none">
            <td class="has-label"><label for="address_province_new">Province</label></td>
            <td class="value">
              <select id="address_province_new" class="selectize-on-load form-control" name="address[province]" data-default="{{form.province}}"></select>
            </td>
          </tr>
          <tr>
            <td class="has-label"><label for="address_zip_new">Zip</label></td>
            <td class="value"><input type="text" id="address_zip_new" class="form-control" name="address[zip]" value="{{form.zip}}" size="40" /></td>
          </tr>
          <tr>
            <td class="has-label"><label for="address_phone_new">Phone</label></td>
            <td class="value"><input type="text" id="address_phone_new" class="form-control" name="address[phone]" value="{{form.phone}}" size="40" /></td>
          </tr>
          <tr>
            <td class="has-label"></td>
            <td class="value">{{ form.set_as_default_checkbox }} Set as Default Address?</td>
          </tr>
        </table>
        <div class="action_bottom">
          <input class="btn btn-default" type="submit" value="Add Address" />
          <span class="note regular-content"> or <a href="#" onclick="Shopify.CustomerAddress.toggleNewForm(); return false;" data-scrollto="#container-account">Cancel</a></span>
        </div>
        {% endform %}
      </div><!-- /add_address -->
      
    </div><!-- #customer_addresses -->
  </div>
</div><!-- #container-account -->

<script type="text/javascript" charset="utf-8">
  // initialize observers on address selectors
  new Shopify.CountryProvinceSelector('address_country_new', 'address_province_new', {hideElement: 'address_province_container_new'});  
  {% for address in customer.addresses %}
    new Shopify.CountryProvinceSelector('address_country_{{address.id}}', 'address_province_{{address.id}}', {hideElement: 'address_province_container_{{address.id}}'});
  {% endfor %}
  
  $(document).ready(function() {
    $('#customer_addresses .customer_address[id^="view_address_"] .address_actions .action_edit a').addClass('btn btn-warning btn-sm');
    $('#customer_addresses .customer_address[id^="view_address_"] .address_actions .action_delete a').addClass('btn btn-danger btn-sm');
  });
</script>
